<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/input-mask.js");
    loadJS(requireJS, "js/views/order_paid.js");
</script>

<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_content">
                <form class="form-horizontal form-label-left" method="POST" id="paid-order-form">
                    <input type="hidden" id="orderId" name="orderId" th:value="${order.id}">
                    <div class='form-group'>
                        <div class="col-md-12">
                            <h5 th:text="${'#' + order.id + ' - ' + order.billingName + ' (' + order.payerEmail + ')'}"></h5>
                            <h6 th:text="${order.getPaymentAmountText() + ' - ' + order.storeTitle}"></h6>
                        </div>
                    </div>
                    <hr/>
                    <div class='form-group'>
                        <div class="col-md-4">
                            <label>Imágenes</label>
                        </div>
                        <div class="col-md-8">                            
                            <div class="col-md-2" th:each="img : ${images}" th:if="${images != null}">
                                <a th:href="'/admin/orders/attachment/view/?file=' + ${order.attachment}" target="_blank">
                                    <img th:src="'/admin/orders/attachment/view/' + ${img}" width="40"/>
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class='form-group'>
                        <div class="col-md-4">
                            <label for="date" th:text="#{activation_date}">Fecha de Activación</label>                            
                        </div>
                        <div class="col-md-8">
                            <input type="text" class="form-control" name="activationDate" th:value="${#dates.format(order.activationDate, 'dd/MM/yyyy HH:mm:ss')}" readonly=""/>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-md-4">
                            <label for="ticket" th:text="#{voucher}">Comprobante</label>
                        </div>
                        <div class="col-md-8">
                            <input type="text" class="form-control" id='ticket' name="ticket" readonly="" th:value="${order.ticketNumber}"/>
                        </div>
                    </div>                    
                    <div class="form-group">
                        <div class="col-md-4">
                            <label for="ticket" th:text="#{banks}">Banco</label>
                        </div>
                        <div class="col-md-8">
                            <input type="text" class="form-control" readonly="" th:value="${order.paymentBacs}"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-md-12">
                            <label for="comment" th:text="#{comment}">Comentario</label>
                        </div>
                        <div class="col-md-12">
                            <pre id='comment' th:text="${order.comment}"></pre>
                        </div>
                    </div>
                    <hr/>

                    <div class="form-group">
                        <div class="col-md-4">
                            <label for="date" >Fecha de Pago</label>
                        </div>
                        <div class="col-md-8">
                            <div class="col-md-7">
                                <input type="date" class="form-control" id='date' name="date" th:value="${order.activationDate}" required="required"/>
                            </div>
                            <div class="col-md-5">
                                <input type="text" name="time" class="form-control" id="time" required="required"/>
                            </div>                    
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-md-4">
                            <label for="paymentDate">Añadir comentario</label>
                        </div>
                        <div class="col-md-8">
                            <input type="text" class="form-control" name="addComment"/>
                        </div>
                    </div>

                    <div class="form-group">
                        <button class="btn btn-danger" data-dismiss="modal" th:text="#{btnCancel}">Cancelar</button>
                        <button class="btn btn-info action-button" id="pending" th:text="#{pending}">Pendiente</button>
                        <button class="btn btn-success pull-right action-button" id="save" th:text="#{paid}">Pagar</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>